You can update a ticket.
Intercom API version.
By default, it's equal to the version set in the app package.
The attributes set on the ticket.
{ "_default_title_": "example", "_default_description_": "having a problem" }
The ID of the company that the ticket is associated with. The unique identifier for the company which is given by Intercom. Set to nil to remove company.
Specify if a ticket is open. Set to false to close a ticket. Closing a ticket will also unsnooze it.
- The production API serverhttps://api.intercom.io/tickets/{id}
- The european API serverhttps://api.eu.intercom.io/tickets/{id}
- The australian API serverhttps://api.au.intercom.io/tickets/{id}
- Successful response
- Admin not found
- Assignee not found
- Ticket state id is not valid or is not associated with the ticket type.
curl -i -X PUT \
'https://api.intercom.io/tickets/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.12' \
-d '{
"ticket_attributes": {
"_default_title_": "example",
"_default_description_": "there is a problem"
},
"assignment": {
"admin_id": "991266764",
"assignee_id": "991266766"
},
"open": true,
"snoozed_until": 1673609604,
"ticket_state_id": 2750
}'Successful response
The ID of the Ticket used in the Intercom Inbox and Messenger. Do not use ticket_id for API queries.
An object containing the different attributes associated to the ticket as key-value pairs. For the default title and description attributes, the keys are _default_title_ and _default_description_.
{ "_default_title_": "Found a bug", "_default_description_": "The button's not working" }
A ticket state, used to define the state of a ticket.
A ticket type, used to define the data fields to be captured in a ticket.
The list of contacts affected by a ticket.
The time the ticket was created as a UTC Unix timestamp.
The last time the ticket was updated as a UTC Unix timestamp.
The time the ticket will be snoozed until as a UTC Unix timestamp. If null, the ticket is not currently snoozed.
An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.
A list of Ticket Part objects for each note and event in the ticket. There is a limit of 500 parts.
{ "type": "ticket", "id": "161", "ticket_id": "13", "ticket_attributes": { "_default_title_": "example", "_default_description_": "there is a problem" }, "ticket_state": { "type": "ticket_state", "id": "2750", "category": "in_progress", "internal_label": "In progress", "external_label": "In progress" }, "ticket_type": { "type": "ticket_type", "id": "38", "name": "my-ticket-type-25", "description": "my ticket type description is awesome.", "icon": "🦁", "workspace_id": "this_is_an_id687_that_should_be_at_least_", "archived": false, "created_at": 1736201960, "updated_at": 1736201960, "is_internal": false, "ticket_type_attributes": { … }, "category": "Back-office" }, "contacts": { "type": "contact.list", "contacts": [ … ] }, "admin_assignee_id": "991266766", "team_assignee_id": "0", "created_at": 1736201961, "updated_at": 1736201965, "ticket_parts": { "type": "ticket_part.list", "ticket_parts": [ … ], "total_count": 6 }, "open": true, "snoozed_until": 1736269200, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "category": "Back-office", "is_shared": false }